Package ghidra.app.plugin.debug.dbtable

# Class StringColumnAdapter

java.lang.Object
docking.widgets.table.AbstractDynamicTableColumn<ROW_TYPE,COLUMN_TYPE,Object>
docking.widgets.table.AbstractDynamicTableColumnStub<DBRecord,Object>
ghidra.app.plugin.debug.dbtable.StringColumnAdapter

All Implemented Interfaces:
  `DynamicTableColumn<DBRecord,Object,Object>`

public class StringColumnAdapter extends AbstractDynamicTableColumnStub<DBRecord,Object>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `column`
  `protected LongRenderer`
  `longRenderer`

  ### Fields inherited from class docking.widgets.table.AbstractDynamicTableColumn

  `FLOATING_POINT_PRECISION_SETTING, FLOATING_POINT_SETTINGS_DEFINITIONS, INTEGER_RADIX_SETTING, INTEGER_SETTINGS_DEFINITIONS, INTEGER_SIGNEDNESS_MODE_SETTING, NO_SETTINGS_DEFINITIONS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `getByteString(byte b)`
  `Class<Object>`
  `getColumnClass()`
  Determines the class of object that is associated with this field (column).
  `String`
  `getColumnName()`
  Determines the unique column heading that may be used to identify a column instance.
  `Object`
  `getValue(DBRecord rowObject, Settings settings, ServiceProvider serviceProvider)`

  ### Methods inherited from class docking.widgets.table.AbstractDynamicTableColumnStub

  `getValue`

  ### Methods inherited from class docking.widgets.table.AbstractDynamicTableColumn

  `equals, getColumnDescription, getColumnDisplayName, getColumnPreferredWidth, getColumnRenderer, getComparator, getComparator, getHeaderRenderer, getMaxLines, getSettingsDefinitions, getSupportedRowType, getUniqueIdentifier, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### longRenderer

    protected LongRenderer longRenderer

  - ### column

    protected int column

- ## Method Details

  - ### getValue

    public Object getValue(DBRecord rowObject, Settings settings, ServiceProvider serviceProvider) throws IllegalArgumentException
    Specified by:
      `getValue` in class `AbstractDynamicTableColumnStub<DBRecord,Object>`
    Throws:
      `IllegalArgumentException`

  - ### getColumnClass

    public Class<Object> getColumnClass()
    Description copied from interface: `DynamicTableColumn`
    Determines the class of object that is associated with this field (column).
    Specified by:
      `getColumnClass` in interface `DynamicTableColumn<DBRecord,Object,Object>`
    Overrides:
      `getColumnClass` in class `AbstractDynamicTableColumn<DBRecord,Object,Object>`
    Returns:
      the column class

  - ### getColumnName

    public String getColumnName()
    Description copied from interface: `DynamicTableColumn`
    Determines the unique column heading that may be used to identify a column instance. This name must be non-changing and is used to save/restore state information.
    Specified by:
      `getColumnName` in interface `DynamicTableColumn<DBRecord,Object,Object>`
    Specified by:
      `getColumnName` in class `AbstractDynamicTableColumn<DBRecord,Object,Object>`
    Returns:
      the field instance name.

  - ### getByteString

    protected String getByteString(byte b)